<?php

namespace App\Providers;

use App\Services\SendGridEmailService;
use App\Services\PdfService;
use App\Services\PrintQueueService;
use Illuminate\Support\Facades\Blade;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider {
    /**
     * Register any application services.
     */
    public function register(): void {
        $this->app->singleton(PdfService::class);
        $this->app->alias(PdfService::class, 'pdf');
        $this->app->singleton('print-queue', PrintQueueService::class);
        $this->app->singleton(SendGridEmailService::class);
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void {
        Blade::anonymousComponentPath(resource_path('views/global'));
    }
}
